Set account metadata entry
Sets a single persistent metadata entry for a Minecraft account. Creates the namespace and key if they don't exist, or updates if they do.
Sets a single persistent metadata entry for a Minecraft account. Creates the namespace and key if they don't exist, or updates if they do.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The unique identifier (UUID) of the instance containing the account.
uuidThe profile_id (UUID) of the Minecraft account.
uuidThe namespace for the metadata entry.
The key for the metadata entry within the namespace.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The value to set. Supports JSON value types.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "http://127.0.0.1:38765/v1/instances/:instance_id/accounts/:account_id/metadata/namespaces/:namespace/entries/:key" \ -H "Content-Type: application/json" \ -d '{ "value": {} }'{}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?